Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRGenericElement

All Superinterfaces:
  java.lang.Cloneable, JRChild, JRCloneable, JRCommonElement, JRElement, JRPropertiesHolder, JRStyleContainer, JRVisitable

All Known Implementing Classes:
  JRBaseGenericElement, JRDesignGenericElement, JRFillGenericElement

    public interface JRGenericElement

extends JRElement

A "generic" report element that will produce a `generic print element` in the generated report.

Such elements can be used in simple scenarios that involve generating generic print elements. In more complex scenarios, `component elements` that produce generic print elements can be implemented.

Generic report elements are comprised of a list of parameters that are to be included in the generated print element. At fill time, expressions associated with the parameters are evaluated and the result is preserved in the print element. Generic report elements cannot stretch at fill time, they will always produce a print element that has the same size as the design element.

Version:
  $Id: JRGenericElement.java 3505 2010-03-04 14:08:05Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Method Summary
`java.lang.String` | `getEvaluationGroupName()` Returns the name of the evaluation group for this element.
`byte` | `getEvaluationTime()` Deprecated. Replaced by `getEvaluationTimeValue()`.
`EvaluationTimeEnum` | `getEvaluationTimeValue()` Returns the evaluation time of this element.
`JRGenericElementType` | `getGenericType()` Returns the generic type of this element.
`JRGenericElementParameter[]` | `getParameters()` Returns the list of parameters of this element.

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`collectExpressions, getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Method Detail

### getGenericType

    JRGenericElementType getGenericType()

  Returns the generic type of this element. This type will be propagated to the generated print element, and used to resolve export handler for the print element.

  Returns:
    the generic type of this element

### getParameters

    JRGenericElementParameter[] getParameters()

  Returns the list of parameters of this element.

  Returns:
    the list of parameters

### getEvaluationTime

    byte getEvaluationTime()

  Deprecated. Replaced by `getEvaluationTimeValue()`.

### getEvaluationTimeValue

    EvaluationTimeEnum getEvaluationTimeValue()

  Returns the evaluation time of this element.

  The evaluation time determines the moment at which parameter expressions are evaluated for this element. All parameters will be evaluated at the same moment.

  Returns:
    the evaluation time of this element

### getEvaluationGroupName

    java.lang.String getEvaluationGroupName()

  Returns the name of the evaluation group for this element. The evaluation group is only present when `the evaluation time` is `JRExpression.EVALUATION_TIME_GROUP`.

  Returns:
    the name of the evaluation group for this element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com